import { IAnalyticsIdentifyEventDetail, IAnalyticsPageEventDetail, IAnalyticsTrackEventDetail, IAnalyticsVariables } from '@boldpenguin/sdk-types';
export declare class BpSdkAnalyticsContainer {
  resetState(): void;
  truncate(str?: string): string;
  connectedCallback(): void;
  handleAnalyticsPage(evt: CustomEvent<IAnalyticsPageEventDetail>): void;
  handleIdentify(evt: CustomEvent<IAnalyticsIdentifyEventDetail>): void;
  handleTrack(evt: CustomEvent<IAnalyticsTrackEventDetail>): void;
  handleVariables({ detail: customVars }: CustomEvent<IAnalyticsVariables>): void;
  onClick(e: Event): void;
  onInput(e: Event): void;
  render(): any;
}
