import { EventEmitter } from '../../stencil-public-runtime';
import { IChoice, IParentQuestionPoolSelectorComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkParentQuestionPoolSelector implements IParentQuestionPoolSelectorComponent {
  choices: IChoice[];
  label: string;
  useExternal: boolean;
  selectedChoiceId: string;
  selectedAnswerPoolId: EventEmitter<string>;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
  renderSubmitButton(): any;
  selectValueUpdate: (ev: CustomEvent) => void;
  private handleSubmit;
}
