import { IChoice, IVehicleYearsComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkVehicleYears implements IVehicleYearsComponent {
  /**
   * The id of the answer associated with this field
   */
  answerId: string;
  /**
   * The question code associated with this field
   */
  code: string;
  /**
   * Label to display
   */
  label: string;
  /**
   * Is pristine
   */
  pristine: boolean;
  /**
   * Is touched
   */
  touched: boolean;
  /**
   * Error messages
   */
  errors: string[];
  /**
   * Year choices
   */
  years: IChoice[];
  /**
   * Selected year
   */
  selectedYear: string | undefined;
  /**
   * Is vehicle a trailer
   */
  isVehicleTrailer: boolean;
  fieldType: string;
  inputComponentType: string;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  onIsVehicleTrailerChange(isTrailer: boolean): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
