import { IBusinessClassificationSelectorCardContentComponent, IChoiceHighlight } from '@boldpenguin/sdk-types';
export declare class BpSdkBusinessClassificationSelectorCardContent implements IBusinessClassificationSelectorCardContentComponent {
  /**
   * Alias for choice
   */
  alias: string;
  /**
   * Value for choice
   */
  value: string;
  /**
   * List of highlight's
   */
  highlights: IChoiceHighlight[] | undefined;
  /**
   * Confidence level
   */
  confidence: number;
  /**
   * Explanation of choice
   */
  explanation: string;
  /**
   * Should show explanation
   */
  showExplanation: boolean;
  /**
   * Should show confidence
   */
  showConfidence: boolean;
  /**
   * Should show naics code
   */
  showNaicsCode: boolean;
  /**
   * Show detailed relevance chip
   */
  showDetailedRelevanceChip: boolean;
  /**
   * Is choice selected
   */
  isSelected: boolean;
  /**
   * Is best match choice
   */
  isBestMatch: boolean;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
