import { IFooterComponent } from '@boldpenguin/sdk-types';
declare enum FooterClass {
  LIGHT = "bp-sdk-footer__container-light",
  DARK = "bp-sdk-footer__container-dark"
}
export declare class BpSdkFooter implements IFooterComponent {
  darkMode: boolean | undefined;
  useExternal: boolean;
  imageSrc: string;
  footerClass: FooterClass;
  componentWillLoad(): void;
  onDarkModeChange(darkMode: boolean): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
export {};
