import { IVehicleVinComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkVehicleVin implements IVehicleVinComponent {
  /**
   * The id of the answer associated with this field
   */
  answerId: string;
  /**
   * The question code associated with this field
   */
  code: string;
  /**
   * Is searching
   */
  isSearching: boolean;
  /**
   * Should select configuration
   */
  shouldSelectConfiguration: boolean;
  /**
   * Is touched
   */
  touched: boolean;
  /**
   * Is pristine
   */
  pristine: boolean;
  /**
   * Label to display
   */
  label: string;
  /**
   * Error messages
   */
  errors: string[];
  /**
   * Error message
   */
  errorText: string;
  /**
   * Can Save
   */
  canSave: boolean;
  /**
   * Can search
   */
  canSearch: boolean;
  /**
   * Has result
   */
  hasResult: boolean;
  /**
   * Question group ID
   */
  questionGroupId: string;
  /**
   * The current value of the textbox
   */
  value: string;
  useExternal: boolean;
  labelId: string;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
